Skip to main content
`Ctrl`+`K`

# Ring2D

class astropy.modeling.functional_models.Ring2D(amplitude=1, x_0=0, y_0=0, r_in=None, width=None, r_out=None, **kwargs)

  Bases: `Fittable2DModel`

  Two dimensional radial symmetric Ring model.

  Parameters:
    amplitude `python:float`

      Value of the disk function

    x_0 `python:float`

      x position center of the disk

    y_0 `python:float`

      y position center of the disk

    r_in `python:float`

      Inner radius of the ring

    width `python:float`

      Width of the ring.

    r_out `python:float`

      Outer Radius of the ring. Can be specified instead of width.

  See also

  `Disk2D`, `TrapezoidDisk2D`

  Notes

  Model formula:

  > \[\begin{split}f(r) = \left \{ \begin{array}{ll} A & : r_{in} \leq r \leq r_{out} \\ 0 & : \text{else} \end{array} \right.\end{split}\]

  Where \(r_{out} = r_{in} + r_{width}\).

  Attributes Summary

  `amplitude` |
  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `param_names` | Names of the parameters that describe models of this type.
  `r_in` |
  `width` |
  `x_0` |
  `y_0` |

  Methods Summary

  `evaluate`(x, y, amplitude, x_0, y_0, r_in, width) | Two dimensional Ring model function.

  Attributes Documentation

  amplitude = Parameter('amplitude', value=1.0)
  input_units
  param_names = ('amplitude', 'x_0', 'y_0', 'r_in', 'width')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  r_in = Parameter('r_in', value=1.0)
  width = Parameter('width', value=1.0)
  x_0 = Parameter('x_0', value=0.0)
  y_0 = Parameter('y_0', value=0.0)

  Methods Documentation

  static evaluate(x, y, amplitude, x_0, y_0, r_in, width)

    Two dimensional Ring model function.